Page MenuHomePhabricator

[Tech Debt] Encapsulate DonationInterface errors in SmashPig
Closed, ResolvedPublic4 Estimated Story Points

Description

We often see funky, homebrew error structures like,

gateway_common/gateway.adapter.php line 991

$this->transaction_response->setErrors( array(
    'internal-0000' => array(
        'debugInfo' => "Failed pre-process checks for transaction type $transaction.",
        'message' => $this->getErrorMapByCodeAndTranslate( 'internal-0000' ),
        'logLevel' => LogLevel::INFO
    )   
) );

Instead, use error objects from SmashPig.

Event Timeline

awight created this task.Mar 8 2017, 12:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2017, 12:51 AM
ggellerman triaged this task as Medium priority.Mar 21 2017, 9:21 PM
ggellerman added a project: FR-Ingenico.
ggellerman set the point value for this task to 4.
ggellerman moved this task from Triage to Q2 (Oct-Dec) 2020-2021 on the Fundraising-Backlog board.

Change 344042 had a related patch set uploaded (by Ejegg; owner: Awight):
[mediawiki/extensions/DonationInterface@master] [WIP] Encapsulate errors

https://gerrit.wikimedia.org/r/344042

Change 352995 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP Update error messages for new scheme

https://gerrit.wikimedia.org/r/352995

Change 344042 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Encapsulate errors

https://gerrit.wikimedia.org/r/344042

Change 352995 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Update translated error messages for new scheme

https://gerrit.wikimedia.org/r/352995

mmodell removed a subscriber: awight.Jun 22 2017, 9:32 PM
Aklapper closed this task as Resolved.Oct 14 2020, 8:44 PM
Aklapper removed a project: Patch-For-Review.

@Ejegg: Patches in Gerrit were merged three years ago. Assuming this task should be closed as resolved. If not, then please reopen. Thanks.